#!/bin/bash

echo "Разработчик Устинов Сергей Алексеевич 749-1"
echo "Скрипт выполняет работу с паролями, запрашивает имя пользователя, затем запрашивает тип действия для данного пользователя, а именно заблокировать или разблокировать, далее блокирует или разблокирует данного пользователя. Скрипт реализован с помощью команды passwd"


while true; do
    echo "Введите имя пользователя:"
    read username

    echo "Выберите действие для пользователя $username:"
    echo "1. Заблокировать"
    echo "2. Разблокировать"
    echo "3. Выйти из скрипта"
    read action

    if [ $action -eq 1 ]; then
        passwd -l $username
        echo "Пользователь $username заблокирован"
    elif [ $action -eq 2 ]; then
        passwd -u $username
        echo "Пользователь $username разблокирован"
    elif [ $action -eq 3 ]; then
        echo "Выход из скрипта"
        break
    else
        echo "Некорректный выбор действия"
    fi
done
